/**
 *        Copyright (c) 1993-2006 IONA Technologies PLC.
 *                       All Rights Reserved.
 */

package demo.location.server;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.logging.Logger;

import com.iona.location_types.Location;

public class LocationManager {

    private static final Logger LOG = 
        Logger.getLogger(LocationManager.class.getPackage().getName());
        
    private Map<Integer, Location> locationMap = new HashMap<Integer, Location>();
    
    protected void updateLocation(Location l) {
        locationMap.put(l.getVehicleId(), l);
        System.out.println("locations in map: " + locationMap.size());
    }

    protected List<Location> getLocations() {
        List<Location> locations = new ArrayList<Location>();
        locations.addAll(locationMap.values());
        System.out.println("get locations: " + locations.size());
        return locations;
    }

}
