/**
 *        Copyright (c) 1993-2006 IONA Technologies PLC.
 *                       All Rights Reserved.
 */

package demo.location.server;

import java.util.logging.Logger;

import com.iona.location_types.Location;
import com.iona.location_updater.LocationUpdaterPortType;

@javax.jws.WebService(portName = "LocationUpdaterJmsPort",
                      serviceName = "LocationUpdaterService",
                      targetNamespace = "http://iona.com/location_updater", 
                      endpointInterface = "com.iona.location_updater.LocationUpdaterPortType")
                  
public class LocationUpdaterImpl implements LocationUpdaterPortType {

    private static final Logger LOG = 
        Logger.getLogger(LocationUpdaterImpl.class.getPackage().getName());

    private LocationManager locationMgr;

    LocationUpdaterImpl(LocationManager manager) {
        locationMgr = manager;
    }
    
    public void updateLocation(Location in) {
        LOG.info("Executing operation updateLocation");
        System.out.println("Executing operation updateLocation\n");
        System.out.println("Hello there " + in.getEmployeeId());
        locationMgr.updateLocation(in);
    }

}
