/**
 *        Copyright (c) 1993-2006 IONA Technologies PLC.
 *                       All Rights Reserved.
 */

package demo.location.server;

import javax.xml.ws.Endpoint;

public class Server {

    protected Server() throws Exception {
        System.out.println("Starting Server");

        LocationManager manager = new LocationManager();
        Object implementor = new LocationUpdaterImpl(manager);
        String address = "http://cxf.apache.org/transports/jms";
        Endpoint.publish(address, implementor);
        
        System.out.println("Here");
        implementor = new LocationServiceImpl(manager);
        address = "http://localhost:9901/LocationServicePort";
        Endpoint.publish(address, implementor);
        System.out.println("Here too");
    }

    public static void main(String args[]) throws Exception {
        new Server();
        System.out.println("Server ready...");
    }
}
